Name:       uio-release
Version:    8
Release:    2%{?dist}
Summary:    UiO Packages for RHEL repository configuration

Group:      System Environment/Base
License:    GPLv2

URL:        http://rpm.uio.no/uio-free
Source0:    GPL
Source1:    uio-free.repo
Source2:    uio-free-testing.repo
Source3:    uio-nonfree.repo
Source4:    uio-nonfree-testing.repo

BuildArch:  noarch
Requires:   redhat-release >= %{version} 
Requires:   uio-gpg-keys
Conflicts:  fedora-release

%description
This package contains the UiO Free and Non-Free Packages for RHEL
repository GPG key as well as configuration for yum.

%prep
%setup -q -c -T
install -pm 644 %{SOURCE0} .

%build

%install
install -dm 755 %{buildroot}%{_sysconfdir}/yum.repos.d
install -pm 644 %{SOURCE1} %{SOURCE2} %{SOURCE3} %{SOURCE4}  \
    %{buildroot}%{_sysconfdir}/yum.repos.d


%files
%license GPL
%config(noreplace) /etc/yum.repos.d/*


%changelog
* Mon May 26 2025 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 8-2
- Move GPG keys into separate package
- Modernize repo baseurls for uio-free

* Fri Sep 13 2019 Trond Hasle Amundsen <t.h.amundsen@usit.uio.no> - 8-1
- Initial build
